/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.test.forms;

import bdd.PompierMySql;
import com.mysql.cj.util.StringUtils;
import com.test.beans.Pompier;
import jakarta.servlet.http.HttpServletRequest;
import java.util.Enumeration;
import static jdk.vm.ci.sparc.SPARC.CPUFeature.MD5;

/**
 *
 * @author clementine.desrucques
 */
public class NouveauPompForm {
    String message="";
    
    public int verifNouveauPompier(HttpServletRequest request) {
        
        // Contrôle du no de rue qui doit être numérique
        String noRueString = request.getParameter("nAdrNo");
        boolean isNumeric = StringUtils.isStrictlyNumeric(noRueString);
        if (!isNumeric) {
            message = "Le no de rue doit être numérique";
            return -1;
        }
        int noRue = Integer.parseInt(noRueString);
         
        // Contrôle car "<" dans les zones de texte
        //String [] lesSaisies = request.getParameterValues(noRueString); // Valeurs saisies
        Enumeration lesNoms = request.getParameterNames();        
        int erreur = 0;      
        while (erreur ==0 && lesNoms.hasMoreElements()) {
            Object paramObjet=lesNoms.nextElement();
            String param=(String)paramObjet;
            String value=request.getParameter(param);
            if (value.contains("<")) {
                message = "Veullez recommencer votre saisie, une anomalie sur une zone de saisie a été détectée ";
                erreur=1;
            }            
        }     
        if (erreur > 0) return -1;        
                
//        Creation d'un objet de type Client avec les données transmises
        String mdpChiffre = MD5.encode(request.getParameter("ztMDP"));
        Pompier unPompier = new Pompier(request.getParameter("id"),
                                        request.getParameter("idCaserne"),
                                        request.getParameter("ztNom"),
                                        request.getParameter("ztPrenom"),
                                        request.getParameter("nStatut"),
                                        request.getParameter("eMail"),
                                        request.getParameter("ztLogin"),
                                        request.getParameter("ztMDP"),
                                        noRue,
                                        request.getParameter("ztAdrRue"),
                                        request.getParameter("ztAdrCP"),
                                        request.getParameter("ztAdrVille"),
                                        request.getParameter("nGrade")
        );
        PompierMySql cm = new PompierMySql();
        int id = cm.createRP(unPompier);   // Requête préparée
        if (id == -1) {
            message = "Erreur lors de la création du pompier";
        }
        return id;      
        
    }

    public String getMessage() {
        return message;
    }
}
